module Data.SpirV.Reflect.Enums.Generator where

newtype Generator = Generator Int
  deriving newtype (Eq, Ord, Show, Enum)

pattern GENERATOR_KHRONOS_LLVM_SPIRV_TRANSLATOR :: Generator
pattern GENERATOR_KHRONOS_LLVM_SPIRV_TRANSLATOR = Generator 6

pattern GENERATOR_KHRONOS_SPIRV_TOOLS_ASSEMBLER :: Generator
pattern GENERATOR_KHRONOS_SPIRV_TOOLS_ASSEMBLER = Generator 7

pattern GENERATOR_KHRONOS_GLSLANG_REFERENCE_FRONT_END :: Generator
pattern GENERATOR_KHRONOS_GLSLANG_REFERENCE_FRONT_END = Generator 8

pattern GENERATOR_GOOGLE_SHADERC_OVER_GLSLANG :: Generator
pattern GENERATOR_GOOGLE_SHADERC_OVER_GLSLANG = Generator 13

pattern GENERATOR_GOOGLE_SPIREGG :: Generator
pattern GENERATOR_GOOGLE_SPIREGG = Generator 14

pattern GENERATOR_GOOGLE_RSPIRV :: Generator
pattern GENERATOR_GOOGLE_RSPIRV = Generator 15

pattern GENERATOR_X_LEGEND_MESA_MESAIR_SPIRV_TRANSLATOR :: Generator
pattern GENERATOR_X_LEGEND_MESA_MESAIR_SPIRV_TRANSLATOR = Generator 16

pattern GENERATOR_KHRONOS_SPIRV_TOOLS_LINKER :: Generator
pattern GENERATOR_KHRONOS_SPIRV_TOOLS_LINKER = Generator 17

pattern GENERATOR_WINE_VKD3D_SHADER_COMPILER :: Generator
pattern GENERATOR_WINE_VKD3D_SHADER_COMPILER = Generator 18

pattern GENERATOR_CLAY_CLAY_SHADER_COMPILER :: Generator
pattern GENERATOR_CLAY_CLAY_SHADER_COMPILER = Generator 19
