module Data.SpirV.Reflect.Enums.Result where

data Result
  = SUCCESS
  | NOT_READY
  | ERROR_PARSE_FAILED
  | ERROR_ALLOC_FAILED
  | ERROR_RANGE_EXCEEDED
  | ERROR_NULL_POINTER
  | ERROR_INTERNAL_ERROR
  | ERROR_COUNT_MISMATCH
  | ERROR_ELEMENT_NOT_FOUND
  | ERROR_SPIRV_INVALID_CODE_SIZE
  | ERROR_SPIRV_INVALID_MAGIC_NUMBER
  | ERROR_SPIRV_UNEXPECTED_EOF
  | ERROR_SPIRV_INVALID_ID_REFERENCE
  | ERROR_SPIRV_SET_NUMBER_OVERFLOW
  | ERROR_SPIRV_INVALID_STORAGE_CLASS
  | ERROR_SPIRV_RECURSION
  | ERROR_SPIRV_INVALID_INSTRUCTION
  | ERROR_SPIRV_UNEXPECTED_BLOCK_DATA
  | ERROR_SPIRV_INVALID_BLOCK_MEMBER_REFERENCE
  | ERROR_SPIRV_INVALID_ENTRY_POINT
  | ERROR_SPIRV_INVALID_EXECUTION_MODE
  deriving (Eq, Ord, Show, Enum, Bounded)
